<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Add some comments about XML file
-->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg"  xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="fr_FR" xml:id="fsqp_grcntr">
  <info>
    <pubdate>$LastChangedDate: 04-03-2010 $</pubdate>
  </info>
  <refnamediv>
    <refname>fsqp_grcntr</refname>
    <refpurpose>fsqp solver external function that computes the jacobian of the constraints for CUTEr. </refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <title>Calling Sequence</title>
    <synopsis>cj=fsqp_grcntr(j,x)</synopsis>
  </refsynopsisdiv>
  <refsection>
    <title>Parameters</title>
    <variablelist>
      <varlistentry>
        <term>j</term>
        <listitem>
          <para>
            An integer, The index of the constraint for which the gradient is to be evaluated.
          </para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>x</term>
        <listitem>
          <para>
            A vector, the current value of the unknown
          </para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>cj</term>
        <listitem>
          <para>
            A vector, the current value of the gradient of the jth constraint.
          </para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>
  <refsection>
    <title>Description</title>
    <para>
      This function computes the gradient of the jth constraint at the point
      <literal>x</literal> for the current CUTEr problem according to
      the <literal>fsqp</literal> requirements.
    </para>
  
  </refsection>

  <refsection>
    <title>See Also</title>
    <simplelist type="inline">
      <member><link linkend="siffsqp" >siffsqp</link></member>
      <member><link linkend="fsqp_neweval">fsqp_neweval</link></member>
      <member><literal>x_is_new</literal></member>
      <member><literal>fsqp</literal></member>
    </simplelist>
  </refsection>
  <refsection>
    <title>Authors</title>
    <simplelist type="vert">
      <member>Serge Steer, INRIA</member>
    </simplelist>
  </refsection>

  <refsection>
     <title>Used Functions</title>
       <para>
	<link linkend="fsqp_neweval">fsqp_neweval</link>, 
	<member><literal>x_is_new</literal></member>
       </para>
        <para> Depending on the value returned by <literal>x_is_new()</literal>,
        this function uses or computes the following global variables
        <literal>fsqp_cost</literal>, <literal>fsqp_grcost</literal>,
        <literal>fsqp_constr</literal> and
        <literal>fsqp_grconstr</literal>.</para>
     </refsection>
</refentry>
